Skip to main content

Retrieves thing info

GET 

https://apis.<domain>/iot/things/:thingId

Retrieves thing info.

Authorization Action:

core:things:get

Request

Path Parameters

    thingId uuidrequired

    Unique thing identifier.

Responses

Data retrieved.

Schema
    idstring<uuid>required

    Unique thing identifier generated by the service.

    namestring

    Free-form thing name.

    keystring<uuid>required

    Auto-generated access key.

    metadata object
    oneOf
    typestring

    Possible values: [device]

    control_channel_idstring<uuid>
    event_channel_idstring<uuid>

Authorization: http

name: bearerTokentype: httpscheme: bearerin: headerdescription: Authorization Header: `Authorization: Bearer <user_token>`
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iot/things/:thingId");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("Authorization", "Bearer <token>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>
Auth
Parameters
— pathrequired